/*

		MCC_Tron (c) by kMel, Klaus Melchior

		Registered class of the Magic User Interface.

		Tron_mcc.h

*/


/*** Include stuff ***/

#ifndef TRON_MCC_H
#define TRON_MCC_H

#ifndef LIBRARIES_MUI_H
#include "libraries/mui.h"
#endif


/*** MUI Defines ***/

#define MUIC_Tron "Tron.mcc"
#define MUIC_TronP "Tron.mcp"
#define TronObject MUI_NewObject(MUIC_Tron

#define DEFAULT_PEN1 "m0"
#define DEFAULT_PEN2 "m6"
#define DEFAULT_PENB "m4"
#define DEFAULT_SPEED 10


/*** Methods ***/

#define MUIM_Tron_Demo           0x8002000b

/*** Method structs ***/

struct MUIP_Tron_Demo {
	ULONG MethodID;
};


/*** Special method values ***/

#define MUIV_Tron_Demo_Simple                  0


/*** Special method flags ***/



/*** Attributes ***/

#define MUIA_Tron_PenSpec1       0x80020043
#define MUIA_Tron_PenSpec2       0x8002003e
#define MUIA_Tron_PenSpecB       0x80020065
#define MUIA_Tron_Running        0x80020040
#define MUIA_Tron_Sample         0x8002003f
#define MUIA_Tron_Speed          0x80020042

/*** Special attribute values ***/




/*** Structures, Flags & Values ***/





/*** Configs ***/

#define MUICFG_Tron_Pen1           0x80020005
#define MUICFG_Tron_Pen2           0x80020006
#define MUICFG_Tron_PenB           0x8002000c
#define MUICFG_Tron_Speed          0x80020007


#endif /* TRON_MCC_H */

/* PrMake.rexx 0.10 (16.2.1996) Copyright 1995 kmel, Klaus Melchior */

